## ----style, echo = FALSE, results = 'asis'---------------------------------
BiocStyle::markdown()

## ----env, message=FALSE, warning=FALSE-------------------------------------
library("pRoloc")
library("pRolocdata")
require("reshape")
require("ggplot2")
require("coda")
setStockcol(NULL)
setStockcol(paste0(getStockcol(), 90))

## ----tan-------------------------------------------------------------------
data(tan2009r1)
set.seed(1)
tan2009r1 <- tan2009r1[sample(nrow(tan2009r1), 400), ]

## ----tagmMapTrain----------------------------------------------------------
p <- tagmMapTrain(tan2009r1)
p

## ----plotEllipse-----------------------------------------------------------
plotEllipse(tan2009r1, p)

## ----tagmPredict-----------------------------------------------------------
res <- tagmPredict(tan2009r1, p)

## ----alloc-----------------------------------------------------------------
table(fData(res)$tagm.map.allocation)

## ----prob------------------------------------------------------------------
summary(fData(res)$tagm.map.probability)

## ----oultlier--------------------------------------------------------------
summary(fData(res)$tagm.map.outlier)

## ----tagmMcmcTrain---------------------------------------------------------
library("pRoloc")
p <- tagmMcmcTrain(object = tan2009r1, numIter = 3,
                   burnin = 1, thin = 1, numChains = 2)
p

## ----tagmMCMCProcess-------------------------------------------------------
p <- tagmMcmcProcess(p)
p

## ----tagmMcmcPredict-------------------------------------------------------
res <- tagmPredict(object = tan2009r1, params = p)

## --------------------------------------------------------------------------
table(fData(res)$tagm.mcmc.allocation)

## --------------------------------------------------------------------------
summary(fData(res)$tagm.mcmc.probability)

## ----si--------------------------------------------------------------------
sessionInfo()

